Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy.builder.primitive
Class NestedPrimitiveAssertion

    java.lang.Object
      org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertion
          org.apache.cxf.ws.policy.builder.primitive.NestedPrimitiveAssertion

All Implemented Interfaces:
  org.apache.neethi.Assertion, org.apache.neethi.PolicyComponent

    public class NestedPrimitiveAssertion

extends PrimitiveAssertion

Implementation of an assertion that required exactly one (possibly empty) child element of type Policy (as does for examples the wsam:Addressing assertion).

Field Summary

Fields inherited from class org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertion
`name, optional`

Constructor Summary
`` | `NestedPrimitiveAssertion(org.w3c.dom.Element elem, PolicyBuilder builder, PolicyConstants constants)`
`protected` | `NestedPrimitiveAssertion(javax.xml.namespace.QName name, boolean optional)`

Method Summary
`boolean` | `equal(org.apache.neethi.PolicyComponent policyComponent)`
`org.apache.neethi.Policy` | `getNested()`
`org.apache.neethi.PolicyComponent` | `normalize()`
`protected void` | `setNested(org.apache.neethi.Policy n)`

Methods inherited from class org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertion
`cloneMandatory, getName, getType, isOptional, serialize, setName, setOptional`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NestedPrimitiveAssertion

    protected NestedPrimitiveAssertion(javax.xml.namespace.QName name,
                                       boolean optional)

### NestedPrimitiveAssertion

    public NestedPrimitiveAssertion(org.w3c.dom.Element elem,
                                    PolicyBuilder builder,
                                    PolicyConstants constants)

Method Detail

### normalize

    public org.apache.neethi.PolicyComponent normalize()

  Specified by:
    `normalize` in interface `org.apache.neethi.Assertion`
  Overrides:
    `normalize` in class `PrimitiveAssertion`

### getNested

    public org.apache.neethi.Policy getNested()

### equal

    public boolean equal(org.apache.neethi.PolicyComponent policyComponent)

  Specified by:
    `equal` in interface `org.apache.neethi.PolicyComponent`
  Overrides:
    `equal` in class `PrimitiveAssertion`

### setNested

    protected void setNested(org.apache.neethi.Policy n)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF